Page MenuHomePhabricator

Add `centralauth-rename` to the `wmf-officeit` group
Closed, ResolvedPublic

Description

All members of the wmf-officeit group were also added to the global renamer group so they can rename staff accounts if there's a need for it. I am proposing that the centralauth-rename permission be granted to the wmf-officeit group instead. I guess this'll need Trust and Safety and/or WMF-OIT approval, for which I'll contact the relevant groups.

Event Timeline

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJun 3 2020, 4:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MarcoAurelio triaged this task as Low priority.Jun 3 2020, 4:41 PM
JanWMF added a subscriber: JanWMF.Jun 3 2020, 9:11 PM

Approved after having checked with OIT, too. Thanks for sorting this out @MarcoAurelio :)

Change 602285 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] [metawiki] Add centralauth-rename to WMF OIT staff

https://gerrit.wikimedia.org/r/602285

Change 602285 merged by jenkins-bot:
[operations/mediawiki-config@master] [metawiki] Add centralauth-rename to WMF OIT staff

https://gerrit.wikimedia.org/r/602285

Mentioned in SAL (#wikimedia-operations) [2020-06-04T11:21:43Z] <hashar@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [metawiki] Add centralauth-rename to WMF OIT staff - T254372 (duration: 01m 08s)

MarcoAurelio closed this task as Resolved.Jun 4 2020, 11:22 AM
MarcoAurelio moved this task from ready to cabinet on the User-MarcoAurelio board.